HELM(1)

NAME

helm-dependency-update - update charts/ based on the contents of requirements.yaml

SYNOPSIS

helm dependency update [flags] CHART

DESCRIPTION

Update the on-disk dependencies to mirror the requirements.yaml file.

This command verifies that the required charts, as expressed in 'requirements.yaml', are present in 'charts/' and are at an acceptable version. It will pull down the latest charts that satisfy the dependencies, and clean up old dependencies.

On successful update, this will generate a lock file that can be used to rebuild the requirements to an exact version.

Dependencies are not required to be represented in 'requirements.yaml'. For that reason, an update command will not remove charts unless they are (a) present in the requirements.yaml file, but (b) at the wrong version.

OPTIONS

--keyring="~/.gnupg/pubring.gpg"
    keyring containing public keys

--skip-refresh[=false]
    do not refresh the local repository cache

--verify[=false]
    verify the packages against signatures

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm-dependency(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra